import CrawlUtils
import sys
import os
from os import listdir
from os.path import isfile, join
import gzip

SWDs = set()
if __name__ == "__main__":
	
    inputFolder = sys.argv[1]
    outputFile = sys.argv[2]
    SWDFile = sys.argv[3]
    
    with open(SWDFile) as inputFile:
		
        for row in inputFile:
			
            SWDs.add(row.rstrip('\n'))
            
        inputFile.close
    
    if os.path.isdir(inputFolder):
		
        inputFiles = [f for f in listdir(inputFolder) if isfile(join(inputFolder,f)) ]
        
    with gzip.open(outputFile,'w') as outputFile:
		
            file=0
            
            for f in inputFiles:
				
                file+=1
                
                with open(join(inputFolder,f)) as inputFile:
					
                    line=0
                    
                    for row in inputFile:
						
                        #row = row.decode('utf-8')
                        line+=1
                        
                        if not line % 100000:
							
                            print(str(file)+": "+str(line))
                            
                        parts = CrawlUtils.parseQuad(row)
                        subject = parts[0]
                        
                        if subject in SWDs:
							
                            outputFile.write(row.encode('utf-8'))
                            
                inputFile.close
                
    outputFile.close
        
