#!/bin/bash
codedir="./"
inputFile=""
categoryFile=""
awk -f $codedir"mergeDCAndDCT.awk" ProvTriplesMKs.tsv | awk -f $codedir"mergeProvAndprv.awk" | sort -u > ProvTriplesMerged.tsv
cat ProvTriplesMK2Merged.tsv TagProvenanceUsers.tsv > ProvTriplesMK2WithTagMerged.tsv
awk -F'\t' '{a[$2]++;next} END {for (var in a) print var"\t"a[var]}' ProvTriplesMK2WithTagMerged.tsv > provStatistics.tsv
cut -f1 ProvTriplesMK2WithTagMerged.tsv | sort -u | wc -l| awk '{print "Total\t"$1}' >> provStatistics.tsv
#Categorical comparison
awk -F'\t' 'BEGIN{print "dataset\tcategory\tprovVocab"}NR==FNR{a[$1]=$2;next}$1 in a{print $1"\t"a[$1]"\t"$2}' $categoryFile ProvTriplesMerged.tsv > ProvTriplesMergedWithCategories.tsv
awk -F'\t' '{a[$2"\t"$3]++} END{for (var in a) print var"\t"a[var]}' ProvTriplesMergedWithCategories.tsv > ProvCategoryStatistics.tsv
cut -f1,2 ProvTriplesMergedWithCategories.tsv | sort -u | awk -F'\t' 'BEGIN {print "Totals"}{a[$2]++} END{for (var in a) print var"\t"a[var]}' >> ProvCategoryStatistics.tsv 

